Commit 66d8ef1a authored by Rémy Coutable's avatar Rémy Coutable 🏔

Merge branch 'doc-fix-db-gem-install-instructions' into 'master'

Update patch_versions.md with explicit --with statement for db gem group

## What does this MR do?
Updates `patch_versions.md`'s instructions on installing gems to explicitly install either the postgres or mysql groups.

## Are there points in the code the reviewer needs to double check?
No, but thank you for your time.

## Why was this MR needed?
I performed the steps listed in `patch_versions.md` and ran the command for updating postgres gems. Bundler told me at the end that it had not installed the postgres gem group, which caused the next step, migrating the DB, to fail for obvious reasons.

Changing the command to `--with postgres` made it install the postgres gem group, and db:migrate then passed.

## What are the relevant issue numbers?
None

## Screenshots (if relevant)
N/A

See merge request !3955
parents 6a8359f3 b677b0e3
......@@ -57,10 +57,10 @@ sudo -u git -H make
cd /home/git/gitlab
# PostgreSQL
sudo -u git -H bundle install --without development test mysql --deployment
sudo -u git -H bundle install --without development test mysql --with postgres --deployment
# MySQL
sudo -u git -H bundle install --without development test postgres --deployment
sudo -u git -H bundle install --without development test postgres --with mysql --deployment
# Optional: clean up old gems
sudo -u git -H bundle clean
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment